"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-313/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638A0C0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638A160>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638A200>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638A2A0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638A340>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638A3E0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638A480>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638A520>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638A5C0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638A660>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638A700>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638A7A0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638A840>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638A8E0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638A980>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638AA20>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638AAC0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638AB60>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638AC00>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638ACA0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638AD40>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638ADE0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638AE80>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638AF20>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638AFC0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638B060>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638B100>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638B1A0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638B240>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638B2E0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638B380>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638B420>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638B4C0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638B560>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638B600>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638B6A0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638B740>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638B7E0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638B880>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638B920>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638B9C0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638BA60>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638BB00>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638BBA0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638BC40>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638BCE0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638BD80>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638BE20>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638BEC0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C638BF60>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C4040>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C40E0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C4180>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C4220>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C42C0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C4360>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C4400>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C44A0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C4540>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C45E0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C4680>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C4720>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C47C0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C4860>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C4900>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C49A0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C4A40>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C4AE0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C4B80>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C4C20>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C4CC0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C4D60>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C4E00>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C4EA0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C4F40>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C4FE0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C5080>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C5120>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C51C0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C5260>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C53A0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C5300>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C5440>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C54E0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000001E1C63C5580>)]
name: str = 'fr_HOCCN'
